Package org.apache.sling.event.impl.jobs

# Enum JobImpl.ReadErrorType

java.lang.Object
java.lang.Enum<JobImpl.ReadErrorType>
org.apache.sling.event.impl.jobs.JobImpl.ReadErrorType

All Implemented Interfaces:
  `Serializable`, `Comparable<JobImpl.ReadErrorType>`

Enclosing class:
  `JobImpl`

public static enum JobImpl.ReadErrorType extends Enum<JobImpl.ReadErrorType>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CLASSNOTFOUNDEXCEPTION`
`NONE`
`OTHER_EXCEPTION`
`RUNTIMEEXCEPTION`

## Method Summary

Modifier and Type
Method
Description
`static JobImpl.ReadErrorType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static JobImpl.ReadErrorType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final JobImpl.ReadErrorType NONE

### RUNTIMEEXCEPTION

public static final JobImpl.ReadErrorType RUNTIMEEXCEPTION

### CLASSNOTFOUNDEXCEPTION

public static final JobImpl.ReadErrorType CLASSNOTFOUNDEXCEPTION

### OTHER_EXCEPTION

public static final JobImpl.ReadErrorType OTHER_EXCEPTION

## Method Details

### values

public static JobImpl.ReadErrorType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static JobImpl.ReadErrorType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null